# d (Delete) command

Deletes files from archive.

#### Example

    7z d archive.zip *.bak -r

deletes *.bak files from archive archive.zip.

#### Notes

7-Zip doesn't uses the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

#### Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-u (Update)
-w (Working Dir)
-x (Exclude)

#### See also

Commands: a (Add), u (Update)

Switches: -u (Update)